﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MyIllustPuzzle
{
    public partial class FormCancel : Form
    {
        /// <summary> コンストラクター
        /// </summary>
        public FormCancel(int vleft, int vtop)
        {
            InitializeComponent();
            _left = vleft;
            _top = vtop;
        }

        /// <summary> [IsAborting]プロパティ
        ///  処理がキャンセル（中止）されているかどうかを示す値を取得する。
        ///  キャンセルされた場合はtrue。それ以外はfalse。
        /// </summary>
        public bool IsAborting
        {
            get { return this._aborting; }
        }

        /// <summary> フィールド
        /// </summary>
        private bool _aborting;		// 中止フラグ
        private int _left;
        private int _top;

        /// <summary> [キャンセル]ボタンクリックイベント
        ///  処理を途中でキャンセル（中断）する
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnCancel_Click(object sender, EventArgs e)
        {
            _aborting = true;
            this.DialogResult = DialogResult.Abort;
        }

        /// <summary> [Form_Load]イベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.TopMost = true;
            this.Left = _left;
            this.Top = _top;
            // 変数の初期化
            this.DialogResult = DialogResult.OK;
            _aborting = false;
        }

    }
}
